//角色切换检查

{

	"AbilityName" : "TestPlayer_Ability_Haoyou_10",

	"AbilityStacking":"UniqueOverrideMap",

    "DefaultModifier":

    {

        "ModifierStacking":"Unique",

        "OnSwitchInFinish":

        [

            {

                //一个非boss

                "$type" : "MoleMole.FireEffect",

                "EffectPattern" : "Eff_Avatar_LevelUp_02",

                "Target" : "Self",

                "Predicates": [

                    {

                        "$type": "MoleMole.ByAvatarSwitchType",

                        "Target": "Self",

                        "SwitchType": "Dead"

                      }

                ]

            }

        ]

    },

    "Modifiers":

    {

        "CriticalDelta":

        {

            "ModifierStacking":"Unique",

            "Properties" : 

            {

                "Actor_CriticalDelta" : 1

            }

        }

    }

}